using System;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Naming
{
    public class Rule1725 : Rule1725A
    {
        // このメソッドは CA1725 に違反しています。
        public override void Update(string name)
        {
            base.Update(name);
        }
    }

    public class Rule1725A
    {
        private string value = "Rule1725A";

        public virtual void Update(string value)
        {
            this.value = value;
        }

        public override string ToString()
        {
            return this.value;
        }
    }
}
